about summary refs log tree commit diff
path: root/third_party/nix/tests/simple.builder.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/nix/tests/simple.builder.sh')
-rw-r--r--third_party/nix/tests/simple.builder.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/third_party/nix/tests/simple.builder.sh b/third_party/nix/tests/simple.builder.sh
new file mode 100644
index 0000000000..569e8ca88c
--- /dev/null
+++ b/third_party/nix/tests/simple.builder.sh
@@ -0,0 +1,11 @@
+echo "PATH=$PATH"
+
+# Verify that the PATH is empty.
+if mkdir foo 2> /dev/null; then exit 1; fi
+
+# Set a PATH (!!! impure).
+export PATH=$goodPath
+
+mkdir $out
+
+echo "Hello World!" > $out/hello
\ No newline at end of file